globus_xio_tcp_driver_server(3)

NAME
globus_xio_tcp_driver_server - Server

 - Server.

SYNOPSIS

Detailed Description

Server.

globus_xio_server_create() causes a tcp listener socket to be created and listened upon. globus_xio_server_register_accept() performs an asynchronous accept(). globus_xio_server_register_close() cleans up the internal resources associated with the tcp server and calls close() on the listener socket (unless the socket was set on the server via the attr)

All accepted handles inherit all tcp specific attributes set in the attr to globus_xio_server_create(), but can be overridden with the attr to globus_xio_register_open().

Author

Generated automatically by Doxygen for globus_xio from the source code.